use anyhow::{anyhow, Result};

pub fn build_entrypoint(module: &str, session: &slang::Session) -> Result<String>{
    let module = session.load_module(module)?;
    let entry_point_count = module.get_defined_entry_point_count();

    if entry_point_count != 1 {
        return Err(anyhow!("Did not have expected entry point count"));
    }

    Ok("".to_owned())
}