use std::path::{PathBuf};

#[test]
fn compute_hello_world() {
    let global_session = slang::GlobalSession::new().expect("Failed to create global session");

    let target_desc = slang::TargetDescBuilder::new()
        .format(slang::CompileTarget::Spirv)
        .profile(global_session.find_profile("spirv_1_2"));

    let search_path = PathBuf::from(env!("CARGO_MANIFEST_DIR")).join("resources/test-entry");
    if !search_path.exists() {
        return;
    }

    let search_path_bytes = unsafe { std::mem::transmute::<_, *const i8>(search_path.as_os_str().as_encoded_bytes().as_ptr()) };
    let session_desc = slang::SessionDescBuilder::new()
        .targets(&[*target_desc])
        .search_paths(&[search_path_bytes]);

    let session = global_session.create_session(&session_desc).expect("Failed to create session");
    let _entry = crate::entry::parser::build_entrypoint("compute_hello-world.slang", &session).expect("Failed to build entry");
}